タグ別アーカイブ: レンタルサーバ

EC-CUBEなどでネットショップ運営、レンタルサーバーは必須です

こんにちは、Makiです。 最近クワ茶(桑の葉を焙煎したお茶)を飲み始めました。 緑茶などと比べると、“草”っぽい味がします。     さて、ネットショップを始めるにあたり、 必要になるのがレンタルサーバーです。   ネ … 続きを読む

「ちゃんとやるだけ」大規模ECサイト(その1)

さて、ECサイトに限らず何かしらWebサービスを作るからには、 もちろんサーバー構成,スペックについて検討する必要があります。 それが大規模であれば尚のコト。 では、EC-CUBEで大規模なECサイトやろうとした場合、 … 続きを読む

費用と機能・安全性は反比例

EC-Orangeの紹介サイトは動的で複雑な処理は必要ないので、安価なレンタルサーバを利用している。 MySQL4.1がインストールされているので使い勝手が良い…と思っていたのだが、夏にハッキングされてページが改竄された … 続きを読む

驚くべき理由でしばらく更新できず…

このブログ、とあるレンタルサーバを借りて設置しているのだが、驚くことがあったようだ。 なんと、夏に「ハッキング」されたらしい。 ブログが更新できなくて「おかしいな」と思っていたが、まさか侵入されていたとは。 どこからも連 … 続きを読む

EC-CUBEに動的なブロックを追加する方法

EC-CUBEの目玉の1つとして、トップページのブロックを管理画面で追加でき、インターフェイスをドラッグ&ドロップで変更できる機能がある。 デモをするときにも、お客様が「おおっ」と驚く場所だ。 ところが、ある程度いじって … 続きを読む

ショッピングモールにした場合のライセンスは?

EC-CUBE を使ってショッピングモールのようなサービスができないか、という問い合わせがチラホラある。 もちろん、弊社(エスキュービズム)がその仕組みを創って納品することは可能である。 GPLのライセンスとしても、おそ … 続きを読む

root権限がないサーバへの EC-CUBE インストール

EC-CUBE は、PostgreSQLやMySQLなどのDBを利用し、セキュリティ面も考慮されていたりするので、root権限を持っていないとインストールが難しい。となると専用サーバなどが必要になってくる。 root権限 … 続きを読む

MySQL か PostgreSQL か

EC-CUBE のシステム要件では、  Postgres:PostgreSQL 7.4.x以降  MySQL:MySQL4.1以上(MySQL5.x系を含む) となっている。 Rapidsite や xbit はMySQ … 続きを読む

海外サイト制作 UTF-8化への道 その2

海外のお客様向けに EC-CUBE を UTF-8化 する第二弾。 といっても、それほど難しくなくサイトの表示まで完了。 手順はこんな感じ。 【1】DBを UTF-8 で作成 > CREATE DATABASE e … 続きを読む

海外サイト制作 UTF-8化への道 その1

先週末は、EC-CUBEのセミナー&EC-CUBE制作パートナー様の懇親会に参加。 新しい発見もあったし、競合というより良きライバルといった感じで楽しくお酒が飲め、とっても良い刺激を受けました。 さてさて、今週からは E … 続きを読む